from sqlalchemy import ForeignKey
from sqlalchemy.orm import Mapped, mapped_column

from databases.database import Base


class BeerCategory(Base):
    """
    Модель m2m связи пива и категории

    ## Attrs:
      - category_id: int - идентификатор категории
      - beer_id: int - идентифкатор пива
    """

    __tablename__ = "beer_category"

    category_id: Mapped[int] = mapped_column(
        ForeignKey("city.id", ondelete="CASCADE"),
        primary_key=True,
    )
    beer_id: Mapped[int] = mapped_column(
        ForeignKey("user.id", ondelete="CASCADE"),
        primary_key=True,
    )
